additionalProperties:
  formFields:
    - default: "6060"
      envKey: PANEL_APP_PORT_HTTP
      labelEn: taosExplorer service port
      labelZh: taosExplorer 服务端口
      label:
        en: taosExplorer service port
        zh: taosExplorer 服务端口
        zh-hant: taosExplorer 服務通訊埠
        ja: taosExplorer サービスポート
        ms: Port Perkhidmatan taosExplorer
        pt-br: Porta do Serviço taosExplorer
        ru: Порт службы taosExplorer
        ko: taosExplorer 서비스 포트
        tr: taosExplorer Hizmet Bağlantı Noktası
      required: true
      type: number
      edit: true
      rule: paramPort
    - default: "6030"
      envKey: Taosc_PORT
      labelEn: Native interface (taosc) Port
      labelZh: 原生接口（taosc）端口
      label:
        en: Native interface (taosc) Port
        zh: 原生接口（taosc）端口
        zh-hant: 原生介面（taosc）通訊埠
        ja: ネイティブインターフェース（taosc）ポート
        ms: Antara Muka Asal (taosc) Port
        pt-br: Porta de Interface Nativa (taosc)
        ru: Порт нативного интерфейса (taosc)
        ko: 네이티브 인터페이스(taosc) 포트
        tr: Yerel Arayüz (taosc) Bağlantı Noktası
      required: true
      type: number
      edit: true
      rule: paramPort
    - default: "6035"
      envKey: TD_GPT_PORT
      labelEn: TDgpt Port
      labelZh: TDgpt 端口
      label:
        en: TDgpt Port
        zh: TDgpt 端口
        zh-hant: TDgpt 連接埠
        ja: TDgpt ポート
        ms: TDgpt Port
        pt-br: Porta TDgpt
        ru: Порт TDgpt
        ko: TDgpt 포트
        tr: TDgpt Bağlantı Noktası
      required: true
      type: number
      edit: true
      rule: paramPort
    - default: "6041"
      envKey: RESTFul_WebSocket_PORT
      labelEn: RESTful and WebSocket Port
      labelZh: RESTful and WebSocket 端口
      label:
        en: RESTful and WebSocket Port
        zh: RESTful and WebSocket 端口
        zh-hant: RESTful 與 WebSocket 通訊埠
        ja: RESTful および WebSocket ポート
        ms: Port RESTful dan WebSocket
        pt-br: Porta RESTful e WebSocket
        ru: Порт RESTful и WebSocket
        ko: RESTful 및 WebSocket 포트
        tr: RESTful ve WebSocket Bağlantı Noktası
      required: true
      type: number
      edit: true
      rule: paramPort
    - default: 6043-6049
      envKey: MAPPING_PORT
      labelEn: Mapping Port within Container 6043-6049
      labelZh: 映射容器内端口 6043-6049
      label:
        en: Mapping Port within Container 6043-6049
        zh: 映射容器内端口 6043-6049
        zh-hant: 映射容器內通訊埠 6043-6049
        ja: コンテナ内ポート 6043-6049 のマッピング
        ms: Petakan port dalam bekas 6043-6049
        pt-br: Mapear a porta interna do contêiner 6043-6049
        ru: Сопоставить порты внутри контейнера 6043-6049
        ko: 컨테이너 내부 포트 6043-6049 매핑
        tr: Kapsayıcı içi 6043-6049 bağlantı noktalarını eşle
      required: true
      type: text
      edit: true
    - default: "6050"
      envKey: taosX_REST_API_PORT
      labelEn: taosX REST API listening port
      labelZh: taosX REST API 监听端口
      label:
        en: taosX REST API listening port
        zh: taosX REST API 监听端口
        zh-hant: taosX REST API 監聽通訊埠
        ja: taosX REST API リスニングポート
        ms: Port Pendengaran API REST taosX
        pt-br: Porta de Escuta da API REST taosX
        ru: Порт прослушивания taosX REST API
        ko: taosX REST API 수신 포트
        tr: taosX REST API Dinleme Bağlantı Noktası
      required: true
      type: number
      edit: true
      rule: paramPort
    - default: "6055"
      envKey: taosX_gRPC_PORT
      labelEn: taosX gRPC service listening port
      labelZh: taosX gRPC 服务监听端口
      label:
        en: taosX gRPC service listening port
        zh: taosX gRPC 服务监听端口
        zh-hant: taosX gRPC 服務監聽通訊埠
        ja: taosX gRPC サービスリスニングポート
        ms: Port Pendengaran Perkhidmatan gRPC taosX
        pt-br: Porta de Escuta do Serviço gRPC taosX
        ru: Порт прослушивания службы taosX gRPC
        ko: taosX gRPC 서비스 수신 포트
        tr: taosX gRPC Hizmeti Dinleme Bağlantı Noktası
      required: true
      type: number
      edit: true
      rule: paramPort
